Hot News:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Inventor
  Hüllenquader

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
  
Gut zu wissen: Hilfreiche Tipps und Tricks aus der Praxis prägnant, und auf den Punkt gebracht für Autodesk Produkte
Autor Thema:  Hüllenquader (568 mal gelesen)
Enric
Mitglied
Ingenieurbüro


Sehen Sie sich das Profil von Enric an!   Senden Sie eine Private Message an Enric  Schreiben Sie einen Gästebucheintrag für Enric

Beiträge: 213
Registriert: 29.02.2008

Einsatz: Inventor 2018

erstellt am: 31. Mai. 2021 14:02    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo liebe CAD Gemeinde,

ich habe da mal eine Frage an die Spezialisten?
Wie kann ich eine Hülle erzeugen, in der ich konstruieren kann, und die automatisch größer wird, um die Größe für die Verpackung zu ermitteln.

VG
Enric

------------------
Konstruktion

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Roland Schröder
Moderator
Dr.-Ing. Maschinenbau, Entwicklung & Konstruktion von Spezialmaschinen




Sehen Sie sich das Profil von Roland Schröder an!   Senden Sie eine Private Message an Roland Schröder  Schreiben Sie einen Gästebucheintrag für Roland Schröder

Beiträge: 12669
Registriert: 02.04.2004

IV 2017 + 2018 + 2019
W7pro64 F-Secure-Safe
Dell-M4600 2,13GHz 8GB Quadro2000M
15,4"1920x1080, am Dock: 27"2560x1440
MS-IntelliMouse-Optical SpacePilotClassic

erstellt am: 31. Mai. 2021 14:45    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Enric 10 Unities + Antwort hilfreich

Moin!

Die maximalen Ausdehnungen in x, y und z werden im Hintergrund in jeder Datei mitgeführt. Mit ein bisschen VBA-Code kann man sie anzeigen lassen.

------------------
Roland  
www.Das-Entwicklungsbuero.de

It's not the hammer - it's the way you hit!

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Lothar Boekels
Ehrenmitglied V.I.P. h.c.
Dipl.-Ing. Maschinenbau und CAD-Trainer



Sehen Sie sich das Profil von Lothar Boekels an!   Senden Sie eine Private Message an Lothar Boekels  Schreiben Sie einen Gästebucheintrag für Lothar Boekels

Beiträge: 3727
Registriert: 15.02.2001

erstellt am: 31. Mai. 2021 14:46    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Enric 10 Unities + Antwort hilfreich

moin,
Warum machst du die Hülle dann nicht einfach zum Schluss?

------------------
mit freundlichem Gruß
aus der Burggemeinde Brüggen
Lothar Boekels

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

muellc
Ehrenmitglied V.I.P. h.c.
Inventor Administrator



Sehen Sie sich das Profil von muellc an!   Senden Sie eine Private Message an muellc  Schreiben Sie einen Gästebucheintrag für muellc

Beiträge: 3486
Registriert: 30.11.2006

Inventor 2017.4.12 64 bit
Windows 10 Enterprise 64 bit
3DEXPERIENCE R2016x
--------------------
HP Z-Book 15 G4
32 Gig Ram
NVIDIA Quadro M2200
2x HP E243i

erstellt am: 31. Mai. 2021 14:57    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Enric 10 Unities + Antwort hilfreich

Zitat:
Original erstellt von Lothar Boekels:
moin,
Warum machst du die Hülle dann nicht einfach zum Schluss?


Würde ich aus so machen.

Code wäre z.B. hier zu finden:
https://inventorfaq.blogspot.com/2012/09/abmessungen-eines-bauteils-ermitteln.html

------------------
Gruß, Gandhi

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Enric
Mitglied
Ingenieurbüro


Sehen Sie sich das Profil von Enric an!   Senden Sie eine Private Message an Enric  Schreiben Sie einen Gästebucheintrag für Enric

Beiträge: 213
Registriert: 29.02.2008

Einsatz: Inventor 2018

erstellt am: 31. Mai. 2021 15:33    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Moin Roland,

leider habe ich keine VBA Erfahrung!
kannst du da mir helfen?

VG
Enric

------------------
Konstruktion

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Roland Schröder
Moderator
Dr.-Ing. Maschinenbau, Entwicklung & Konstruktion von Spezialmaschinen




Sehen Sie sich das Profil von Roland Schröder an!   Senden Sie eine Private Message an Roland Schröder  Schreiben Sie einen Gästebucheintrag für Roland Schröder

Beiträge: 12669
Registriert: 02.04.2004

IV 2017 + 2018 + 2019
W7pro64 F-Secure-Safe
Dell-M4600 2,13GHz 8GB Quadro2000M
15,4"1920x1080, am Dock: 27"2560x1440
MS-IntelliMouse-Optical SpacePilotClassic

erstellt am: 31. Mai. 2021 16:12    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Enric 10 Unities + Antwort hilfreich

Ich kann Dir den Code geben, den ich benutze, und auch ein hübsches Icon, das ich mir dazu gemalt habe, aber es ist nicht so leicht erklärt, wie das zu installieren ist...

------------------
Roland  
www.Das-Entwicklungsbuero.de

It's not the hammer - it's the way you hit!

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Enric
Mitglied
Ingenieurbüro


Sehen Sie sich das Profil von Enric an!   Senden Sie eine Private Message an Enric  Schreiben Sie einen Gästebucheintrag für Enric

Beiträge: 213
Registriert: 29.02.2008

Einsatz: Inventor 2018

erstellt am: 31. Mai. 2021 16:36    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Roland,

das wäre nett, ich versuche das hin zu bekommen, sonst würde ich nochmal auf dich zukommen!

VG
Enric

------------------
Konstruktion

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Roland Schröder
Moderator
Dr.-Ing. Maschinenbau, Entwicklung & Konstruktion von Spezialmaschinen




Sehen Sie sich das Profil von Roland Schröder an!   Senden Sie eine Private Message an Roland Schröder  Schreiben Sie einen Gästebucheintrag für Roland Schröder

Beiträge: 12669
Registriert: 02.04.2004

IV 2017 + 2018 + 2019
W7pro64 F-Secure-Safe
Dell-M4600 2,13GHz 8GB Quadro2000M
15,4"1920x1080, am Dock: 27"2560x1440
MS-IntelliMouse-Optical SpacePilotClassic

erstellt am: 31. Mai. 2021 17:32    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Enric 10 Unities + Antwort hilfreich


iProperties.BoxDimensions.Small.zip

 
- Öffne den VBA-Editor mit [Alt+F11]
- Erzeuge dort im ApplicationProjekt ein Modul mit dem Namen "iProperties" (RMK\einfügen\Modul)
- Kopiere den untenstehenden Code in das Editorfenster
Wenn der Cursor in dem Feld ist, kannst Du mit [F5] den Code gleich testen.
Und ändern.
Der Code holt außer den BoxDimensions auch die Abwicklungsmaße (wenn vorhanden) und trägt beides in die iProperties ein (daher die Einordnung im gleichnamigen Modul).
Und er enthält noch eine auskommentierte alternative Formatierungen der Maßdarstellung.

Um den Code normal mit Mausklick zu starten, brauchst Du ein Icon. 
- Schau unter Anwendungsoptionen\Datei nach, wo Dein VBA-Projekt gespeichert wird
- Kopiere das beiliegende bmp dorthin
Der Name des Icons muss dem Namen des Moduls und der Subroutine entsprechen, ergänzt mit ".small", weil es verschiedene Größen gibt.
Ich benutze aber nur kleine Icons und habe daher kein größeres gemacht.

Wenn alles passt, findest Du jetzt im Menü "Benutzerbefehle anpassen" das neue Icon und kannst es Deinen Wekzeugen hinzufügen.

Aber 2x Vorsicht:

1.
Diese iProperty-Einträge werden nicht automatisch aktualisiert.
Wenn man etwas die Größe Beinflussendes ändert, muss man die Funktion erneut ausführen.
(Man könnte das automatisieren, aber das war mir bisher nicht wichtig.)

2.
Wenn Arbeitsebenen usw. sichtbar sind, wird deren (oft hervorstehende) Darstellung mitgerechnet.
Die Arbeitselemente also nötigenfalls vorher alle unsichtbar machen
(was ja auch der Normalfall ist.)

Code:
Sub BoxDimensions()
     Dim oCD As ComponentDefinition
     If ThisApplication.ActiveDocumentType = kPartDocumentObject Then
        Dim oPart As PartDocument
        Set oPart = ThisApplication.ActiveDocument
        Set oCD = oPart.ComponentDefinition
     ElseIf ThisApplication.ActiveDocumentType = kAssemblyDocumentObject Then
        Dim oAsm As AssemblyDocument
        Set oAsm = ThisApplication.ActiveDocument
        Set oCD = oAsm.ComponentDefinition
    Else
        Exit Sub
    End If
   
    Dim dX As Double
    Dim dY As Double
    Dim dZ As Double
    Dim dV As Double
'    Dim fx As Double
'    Dim fy As Double
'    Dim fz As Double
    Dim fV As Double
    Dim sBox As String
    Dim sV As String
    dX = oCD.RangeBox.MaxPoint.X - oCD.RangeBox.MinPoint.X
    dY = oCD.RangeBox.MaxPoint.Y - oCD.RangeBox.MinPoint.Y
    dZ = oCD.RangeBox.MaxPoint.z - oCD.RangeBox.MinPoint.z
    dV = oCD.MassProperties.Volume
    If dV = 0 Then
        MsgBox "xyz-Box kann nicht bestimmt werden, weil kein Volumen vorhanden ist."
        Exit Sub
    End If
    dX = Round(dX * 10, 0)
    dY = Round(dY * 10, 0)
    dZ = Round(dZ * 10, 0)
    dV = Round(dV, 2)
   
'   fx = 10 ^ Round(Log(dX) / Log(10) - 3)
'   fy = 10 ^ Round(Log(dY) / Log(10) - 3)
'   fz = 10 ^ Round(Log(dz) / Log(10) - 3)
     fV = 10 ^ Round(Log(dV) / Log(10) - 2.5)
'   dX = Round(dX / fx) * fx
'   dY = Round(dY / fy) * fy
'   dz = Round(dz / fz) * fz
     dV = Round(dV / fV) * fV
    sBox = dX & " x " & dY & " x " & dZ
    sV = Format(dV, "0")
   
    If ThisApplication.ActiveDocumentType = kPartDocumentObject Then
         Call SetPropertyValue(oPart.PropertySets(4), "xyz-Box", sBox)
         Call SetPropertyValue(oPart.PropertySets(4), "cm³", sV)
         MsgBox "xyz-Box in mm:" & vbTab & sBox & vbCrLf & "Volumen in cm³:" & vbTab & dV
    ElseIf ThisApplication.ActiveDocumentType = kAssemblyDocumentObject Then
        Call SetPropertyValue(oAsm.PropertySets(4), "xyz-Box", sBox)
        MsgBox "xyz-Box in mm:" & vbTab & sBox
    End If
   
    If (ThisApplication.ActiveDocument.SubType = "{9C464203-9BAE-11D3-8BAD-0060B0CE6BB4}") Then '(Kennung für Blechteile)
        Dim dXz As Double
        Dim dYz As Double
        Dim dZz As Double
        Dim oFP As FlatPattern
        Dim sHalbzeug As String
        Dim sZuschnitt As String
        Set oFP = oPart.ComponentDefinition.FlatPattern
        On Error Resume Next
        dXz = Round((oFP.Body.RangeBox.MaxPoint.X - oFP.Body.RangeBox.MinPoint.X) * 10, 0)
        dYz = Round((oFP.Body.RangeBox.MaxPoint.Y - oFP.Body.RangeBox.MinPoint.Y) * 10, 0)
        dZz = Round((oFP.Body.RangeBox.MaxPoint.z - oFP.Body.RangeBox.MinPoint.z) * 10, 0)
       
        sHalbzeug = "BL " & dZz
        sZuschnitt = dXz & " x " & dYz
        If Err Then
            MsgBox "Die Werte für Halbzeug und Zuschnitt können nicht aktualisiert werden, da keine Abwicklung vorhanden ist."
        Else
            MsgBox "Halbzeug:" & vbTab & sHalbzeug & _
            vbCrLf & "Zuschnitt:" & vbTab & sZuschnitt
            Call SetPropertyValue(oPart.PropertySets(4), "Halbzeug", sHalbzeug)
            Call SetPropertyValue(oPart.PropertySets(4), "Zuschnitt", sZuschnitt)
        End If
    End If
      
End Sub

------------------
Roland  
www.Das-Entwicklungsbuero.de

It's not the hammer - it's the way you hit!

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

murphy
Mitglied



Sehen Sie sich das Profil von murphy an!   Senden Sie eine Private Message an murphy  Schreiben Sie einen Gästebucheintrag für murphy

Beiträge: 1106
Registriert: 09.07.2002

erstellt am: 01. Jun. 2021 07:06    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Enric 10 Unities + Antwort hilfreich

Bei Ihnen evtl. nicht wichtig, wenn Sie keine Maschinen haben. Das kann sich aber schnell ändern:

Hier eine 5-Achs-Arbeitsplatzfräsmaschine:

https://www.youtube.com/watch?v=vMY06dzf7UA

Die Herausgabe dieser Abmessungen ist wichtig. Angenommen, wir haben eine Dampfmaschine und fertigen ein Teil aus Stangenmaterial.

Zuerst wird die Konstruktion kopiert, die konstruktionsübergreifenden Parmaeter geändert, CAD rechnet durch mault ein wenig herum, sonst wär's zu einfach. Dabei ändern viele Teile ihre Abmessungen.

Im CAD haben wir auch die Rüstpläne, da sind auch die Spannmittel drin. Jetzt muß das CAD anhand der Maximalmaße zunächst die Rohteilmaße festlegen, hier auf die nächste lieferbare Größe springen. Dann dieses Rohteil ins Spannmittel, das u. U. jetzt nicht genug Spannweite hat, also auch hier ein anderes rein muß. Dies kann automatisch erfolgen oder zumindest angemault werden.

Sicher kann man bei jedem Teil, bevor man das CAM drüberläßt, erst mal die Aktualisierung manuell anstoßen. Aber - wenn man's vergisst?

Diese Aktualisierung hat also schon Reize.


Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Enric
Mitglied
Ingenieurbüro


Sehen Sie sich das Profil von Enric an!   Senden Sie eine Private Message an Enric  Schreiben Sie einen Gästebucheintrag für Enric

Beiträge: 213
Registriert: 29.02.2008

Einsatz: Inventor 2018

erstellt am: 01. Jun. 2021 09:40    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Morgen Roland,

erst mal Danke, ich werde Testen und Dir berichten.

VG
Enric

------------------
Konstruktion

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Enric
Mitglied
Ingenieurbüro


Sehen Sie sich das Profil von Enric an!   Senden Sie eine Private Message an Enric  Schreiben Sie einen Gästebucheintrag für Enric

Beiträge: 213
Registriert: 29.02.2008

Einsatz: Inventor 2018

erstellt am: 01. Jun. 2021 20:28    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Roland,

ich habe das so gemacht, wie du es beschrieben hast!
Leider stand in den iProperties nichts drin und ich konnte auch nicht feststellen, ob der Befehl ausgeführt wurde.
Wie kann ich feststellen ob der Code ausgeführt wurde!
Danke für Deine Hilfe.

VG
Enric

------------------
Konstruktion

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Roland Schröder
Moderator
Dr.-Ing. Maschinenbau, Entwicklung & Konstruktion von Spezialmaschinen




Sehen Sie sich das Profil von Roland Schröder an!   Senden Sie eine Private Message an Roland Schröder  Schreiben Sie einen Gästebucheintrag für Roland Schröder

Beiträge: 12669
Registriert: 02.04.2004

IV 2017 + 2018 + 2019
W7pro64 F-Secure-Safe
Dell-M4600 2,13GHz 8GB Quadro2000M
15,4"1920x1080, am Dock: 27"2560x1440
MS-IntelliMouse-Optical SpacePilotClassic

erstellt am: 01. Jun. 2021 22:29    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Enric 10 Unities + Antwort hilfreich


xyz-BoxAnzeige2021-06-01.png

 
Wenn der Code ausgeführt wird, erscheint eine MessageBox wie im Bild (oder ähnlich, es gibt verschiedene Messages).

Mit [F8] im VBA-Editor wird der Code Schritt für Schritt ausgeführt. Dann kann man sehen, was gerade gemacht wird, bis wo es funktioniert und wo es hakt.

------------------
Roland  
www.Das-Entwicklungsbuero.de

It's not the hammer - it's the way you hit!

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

rkauskh
Moderator
Dipl.-Ing. (FH) Versorgungstechnik


Sehen Sie sich das Profil von rkauskh an!   Senden Sie eine Private Message an rkauskh  Schreiben Sie einen Gästebucheintrag für rkauskh

Beiträge: 1782
Registriert: 15.11.2006

Windows 10 x64, AIP 2021

erstellt am: 01. Jun. 2021 22:54    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Enric 10 Unities + Antwort hilfreich

Hallo

@Roland Schröder
Fehlt da nicht die SetPropertyValue Sub? 

------------------
MfG
Ralf

RKW Solutions GmbH
www.RKW-Solutions.com

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Enric
Mitglied
Ingenieurbüro


Sehen Sie sich das Profil von Enric an!   Senden Sie eine Private Message an Enric  Schreiben Sie einen Gästebucheintrag für Enric

Beiträge: 213
Registriert: 29.02.2008

Einsatz: Inventor 2018

erstellt am: 02. Jun. 2021 11:19    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Ralf,

wo würde die SetPropertyvalue Sub den sitzen?
Funktioniert bei mir noch nicht und die Anzeige die Roland im Bild zeigt, bekomme ich nicht.

VG
Enric

------------------
Konstruktion

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Roland Schröder
Moderator
Dr.-Ing. Maschinenbau, Entwicklung & Konstruktion von Spezialmaschinen




Sehen Sie sich das Profil von Roland Schröder an!   Senden Sie eine Private Message an Roland Schröder  Schreiben Sie einen Gästebucheintrag für Roland Schröder

Beiträge: 12669
Registriert: 02.04.2004

IV 2017 + 2018 + 2019
W7pro64 F-Secure-Safe
Dell-M4600 2,13GHz 8GB Quadro2000M
15,4"1920x1080, am Dock: 27"2560x1440
MS-IntelliMouse-Optical SpacePilotClassic

erstellt am: 02. Jun. 2021 13:14    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Enric 10 Unities + Antwort hilfreich


xyz-BoxFehlermeldung2021-06-02.png

 
Zitat:
Original erstellt von rkauskh:
Fehlt da nicht...
Öh, ja, doch, die habe ich vergessen. Hängt unten an.

Aber auch ohne diese Subroutine müsste der Code zumindest bis zu der Stelle kommen, wo sie aufgerufen wird, und es müsste dann die abgebildete Fehlermeldung erscheinen. Warum das bei Enric nicht geschieht, ist so, ohne jede weitere Information, natürlich nicht zu erkennen. Zumal ich selber auch nur sehr selten an VBA-Code arbeite.

Code:

Private Sub SetPropertyValue(oPropset As PropertySet, sName As String, sValue As String)
    On Error Resume Next
    If oPropset.Item(sName).Name <> "sName" Then
        Call oPropset.Add("", sName)
        oPropset.Item(sName).Value = sValue
    Else
        If oPropset.Item(sName).Value <> sValue Then
            oPropset.Item(sName).Value = sValue
        End If
    End If
End Sub


------------------
Roland  
www.Das-Entwicklungsbuero.de

It's not the hammer - it's the way you hit!

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Enric
Mitglied
Ingenieurbüro


Sehen Sie sich das Profil von Enric an!   Senden Sie eine Private Message an Enric  Schreiben Sie einen Gästebucheintrag für Enric

Beiträge: 213
Registriert: 29.02.2008

Einsatz: Inventor 2018

erstellt am: 02. Jun. 2021 18:30    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Roland,

hat geklappt; Danke!

Solltest du mal auf den Gedanken kommen, das sich das beim speichern automatisch aktualisierst, wäre ich dankbar, wenn du an mich denkst!

VG
Enric

------------------
Konstruktion

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

rkauskh
Moderator
Dipl.-Ing. (FH) Versorgungstechnik


Sehen Sie sich das Profil von rkauskh an!   Senden Sie eine Private Message an rkauskh  Schreiben Sie einen Gästebucheintrag für rkauskh

Beiträge: 1782
Registriert: 15.11.2006

Windows 10 x64, AIP 2021

erstellt am: 03. Jun. 2021 08:02    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Enric 10 Unities + Antwort hilfreich


BoxDimensions.iLogicVb.txt


Screenshot_20210603.jpg

 
Moin

@Enric
Dazu am Besten den Code in eine externe iLogic Regel konvertieren (s. Anhang, Endung "txt" entfernen) und dem Ereignisauslöser "Vor dem Speichern Dokument" zuordnen.

------------------
MfG
Ralf

RKW Solutions GmbH
www.RKW-Solutions.com

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

KraBBy
Mitglied
Maschinenbau-Ingenieur


Sehen Sie sich das Profil von KraBBy an!   Senden Sie eine Private Message an KraBBy  Schreiben Sie einen Gästebucheintrag für KraBBy

Beiträge: 418
Registriert: 19.09.2007

Inventor Professional 2020
WinX

erstellt am: 04. Jun. 2021 21:21    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Enric 10 Unities + Antwort hilfreich

Das war schon mal Thema.
Ich möchte die Warnung wiederholen. RangeBox schließt das Bauteil sicher ein. Nicht zu verwechseln mit kleinstmöglich...
Auch diesen link habe ich dort gepostet: mod the machine - part size

------------------
Gruß KraBBy

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2021 CAD.de | Impressum | Datenschutz